petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexPartitionLabelCreateSF

Create a star forest from a label that assigns ranks to points

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPartitionLabelCreateSF(DM dm, DMLabel label, PetscSF *sf)

### Input Parameters

| dm | - The DM
| label | - DMLabel assinging ranks to remote roots

### Output Parameter

| sf | - The star forest communication context encapsulating the defined mapping

Note: The incoming label is a receiver mapping of remote points to their parent rank.

### See Also

DMPlexDistribute(), DMPlexCreateOverlap()

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages